Bug 973465 - [abrt] youtube-dl-2013.05.14-1.fc18: urllib2.py:527:http_error_default:HTTPError: HTTP Error 501: Not Implemented
[abrt] youtube-dl-2013.05.14-1.fc18: urllib2.py:527:http_error_default:HTTPEr...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:1a21124ab67c566e9decb6e485d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 21:26 EDT by Genaro Pantaleon
Modified: 2013-06-12 00:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 00:44:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.03 KB, text/plain)
2013-06-11 21:26 EDT, Genaro Pantaleon
no flags Details
File: core_backtrace (1.10 KB, text/plain)
2013-06-11 21:26 EDT, Genaro Pantaleon
no flags Details
File: environ (2.46 KB, text/plain)
2013-06-11 21:26 EDT, Genaro Pantaleon
no flags Details

  None (edit)
Description Genaro Pantaleon 2013-06-11 21:26:05 EDT
Version-Release number of selected component:
youtube-dl-2013.05.14-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /bin/youtube-dl http://vk.com/video_ext.php?oid=-34450039
dso_list:       python-libs-2.7.3-13.fc18.i686
executable:     /bin/youtube-dl
kernel:         3.9.4-200.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
urllib2.py:527:http_error_default:HTTPError: HTTP Error 501: Not Implemented

Traceback (most recent call last):
  File "/usr/lib/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/bin/youtube-dl/__main__.py", line 18, in <module>
    youtube_dl.main()
  File "/bin/youtube-dl/youtube_dl/__init__.py", line 603, in main
    _real_main(argv)
  File "/bin/youtube-dl/youtube_dl/__init__.py", line 587, in _real_main
    retcode = fd.download(all_urls)
  File "/bin/youtube-dl/youtube_dl/FileDownloader.py", line 705, in download
    videos = self.extract_info(url)
  File "/bin/youtube-dl/youtube_dl/FileDownloader.py", line 461, in extract_info
    ie_result = ie.extract(url)
  File "/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 96, in extract
    return self._real_extract(url)
  File "/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 1277, in _real_extract
    new_url = self._test_redirect(url)
  File "/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 1267, in _test_redirect
    response = opener.open(HeadRequest(url))
  File "/usr/lib/python2.7/urllib2.py", line 406, in open
    response = meth(req, response)
  File "/usr/lib/python2.7/urllib2.py", line 519, in http_response
    'http', request, response, code, msg, hdrs)
  File "/usr/lib/python2.7/urllib2.py", line 444, in error
    return self._call_chain(*args)
  File "/usr/lib/python2.7/urllib2.py", line 378, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.7/urllib2.py", line 527, in http_error_default
    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
HTTPError: HTTP Error 501: Not Implemented

Local variables in innermost frame:
fp: <addinfourl at 143124076 whose fp = <socket._fileobject object at 0x86b846c>>
code: 501
hdrs: <httplib.HTTPMessage instance at 0x887e22c>
self: <urllib2.HTTPDefaultErrorHandler instance at 0x8c589ac>
req: <youtube_dl.InfoExtractors.HeadRequest instance at 0x86a11cc>
msg: 'Not Implemented'
Comment 1 Genaro Pantaleon 2013-06-11 21:26:10 EDT
Created attachment 759906 [details]
File: backtrace
Comment 2 Genaro Pantaleon 2013-06-11 21:26:13 EDT
Created attachment 759907 [details]
File: core_backtrace
Comment 3 Genaro Pantaleon 2013-06-11 21:26:17 EDT
Created attachment 759908 [details]
File: environ
Comment 4 Christopher Meng 2013-06-12 00:44:13 EDT
Hi,

vk.com is not supported by youtube-dl.

Please run this command:

youtube-dl --list-extractors

to see the supported websites list.

Note You need to log in before you can comment on or make changes to this bug.